# DeleteCloudRouterEdgePoint

## 1. 接口描述

调用本接口用于删除三层网络中指定的边缘连接点。

{% hint style="info" %}
**注意事项**

* 三层网络中的连接点数量必须大于或等于2个，当连接点数量等于2个时，将无法移出。
* 本接口为异步接口，当请求下发成功后，操作并未立即完成。在此期间三层网络的状态将会处于**UPDATING**，当移除成功后，将无法再查询到该连接点的网络的相关信息。
* 更新中的三层网络将无法同时进行其他操作。
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

<table><thead><tr><th width="210">参数名称</th><th width="82.875">必选</th><th width="178">类型</th><th>描述</th></tr></thead><tbody><tr><td>edgePointId</td><td>是</td><td>String</td><td>要移除的连接点ID。</td></tr><tr><td>cloudRouterId</td><td>是</td><td>String</td><td>连接点所在的三层网络ID。</td></tr></tbody></table>

## 3. 响应结果

<table><thead><tr><th width="136.33333333333331">参数名称</th><th width="203.54340836012864">类型</th><th>描述</th></tr></thead><tbody><tr><td>requestId</td><td>String</td><td><p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 RequestId。</p></td></tr></tbody></table>

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 删除三层网络中某个边缘连接点。**

```json
POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DeleteCloudRouterPoint
<Common Request Params>

Request：
{
    "cloudRouterId": "your-cloud-router-id"
    "edgePointId": "your-cloud-router-point-id"
}

Response：
{   
  "requestId": "T98044459-95B2-477E-9A2F-00253A70CC6E",
  "response": {
     "requestId": "T98044459-95B2-477E-9A2F-00253A70CC6E"，
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/toolkit)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/instruction/commonerrorcode)

| HTTP状态码 | 错误码                                      | 说明        |
| ------- | ---------------------------------------- | --------- |
| 404     | INVALID\_CLOUD\_ROUTER\_EDGE\_NOT\_FOUND | 边缘连接点不存在。 |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/networking/sdn/router/delete-cloud-router-point.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
